package com.yonge.cooleshow.biz.dal.dto;


import com.yonge.cooleshow.biz.dal.entity.BaseMessage;

public class ImNetworkDeviceStateChangedMessage extends BaseMessage {
    private boolean enable;
    private int type;
    private Integer musicSheetAccompanimentId;
    private String userId;
    private String userName;
    private Integer soundVolume = 100;

    public ImNetworkDeviceStateChangedMessage(int type, boolean enable) {
        this.type = type;
        this.enable = enable;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getMusicSheetAccompanimentId() {
        return musicSheetAccompanimentId;
    }

    public void setMusicSheetAccompanimentId(Integer musicSheetAccompanimentId) {
        this.musicSheetAccompanimentId = musicSheetAccompanimentId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getSoundVolume() {
        return soundVolume;
    }

    public void setSoundVolume(Integer soundVolume) {
        this.soundVolume = soundVolume;
    }

    @Override
    public String getObjectName() {
        return "SC:DRMsg";
    }
}
